local propsrv = lgs.PropertySrv
local linksrv = lgs.LinkSrv

function PressurePlateActivating(msg)
	if propsrv.Possessed(script.objid,'PhysPPlate') then
		propsrv.Remove(script.objid,'PhysPPlate')
		if linksrv.AnyExist('ControlDevice',script.objid) then
			linksrv.BroadcastOnAllLinks(script.objid,'TurnOn','ControlDevice')
		end
	end
	return true
end